# iDiffuse
A tool to calculate expected diffuser-assisted photometric precisions.

# Features
With `iDiffuse` you can:

- Calculate the expected photometric precision of the ARCTIC diffuser system on the ARC 3.5m

- `iDiffuse` is modular and is easily extendable to calculate diffuser-assisted photometric precisions on other telescopes

- `iDiffuse` can be used to calculate the expected diffuserd PSF size in different telescope systems. You can also calculate the expected PSF sizes using the following online calculator <a href='https://gummiks.github.io/idiffuse/diffuser_calculator/'>here</a>.

# Documentation
The documentation website for iDiffuse is available <a href='https://gummiks.github.io/idiffuse/'>https://gummiks.github.io/idiffuse/</a>

# Installation
Please see the documentation website for installation instructions: <a href='https://gummiks.github.io/idiffuse/installation/'>https://gummiks.github.io/idiffuse/installation/</a>

# Tutorials / Getting started
Either see:
- the `notebooks` directory.
- or the Getting Started pages here: 
<a href='https://gummiks.github.io/idiffuse/quickstart/'>https://gummiks.github.io/idiffuse/quickstart/</a>

# Dependencies
- pysynphot: [https://pysynphot.readthedocs.io/en/latest/](https://pysynphot.readthedocs.io/en/latest/)
- pandas
